package apoSkunkman.level;

import apoSkunkman.ApoSkunkmanConstants;

/**
 * Klasse, die Konstanten fr die Level-Generierung bereitstellt
 * @author Enrico Ebert
 */
public class ApoSkunkmanLevelConstants {

	/** ByteKonstante fr besuchte Gebiete */
	public static final byte VISITED = (byte)(1<<4);
	/** ByteKonstante fr rechts keine Wand */
	public static final byte RIGHT   = (byte)(1<<0);
	/** ByteKonstante fr oben keine Wand */
	public static final byte UP      = (byte)(1<<1);
	/** ByteKonstante fr links keine Wand */
	public static final byte LEFT    = (byte)(1<<2);
	/** ByteKonstante fr unten keine Wand */
	public static final byte DOWN    = (byte)(1<<3);
	
	/** Konstante fr GoalX Zeit-Skalierung */
	public static final float LEVEL_GOALX_TIME_SCALE = 1.0f;	// falls Nicht-GoalX als GoalX-Level gespielt werden
	
	/** Konstante fr Default-Strategie */
	public static final int LEVEL_GENERATION_DEFAULT = ApoSkunkmanConstants.LEVEL_TYPE_STANDARD;//LEVEL_GENERATION_STRATEGIES[0];
}
